Name:       serf
Version:    1.3.1
Release:    1.2
Summary:    Serf

Group:      Applications/Internet
License:    GPLv2+
Url:        https://serf.googlecode.com
Source:     https://serf.googlecode.com/files/%{name}-%{version}.tar.bz2
Packager:  Kimpe Andy andykimpe Zpanel Teams <andykimpe@gmail.com>

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-build
BuildRequires: apr-util-devel, openssl-devel, krb5-devel, krb5-libs, scons >= 2.2.99

%description
The Serf package contains a C-based HTTP client library built upon the Apache Portable Runtime (APR) library.
It multiplexes connections, running the read/write communication asynchronously.
Memory copies and transformations are kept to a minimum to provide high performance operation.

%package devel
Summary: Serf Library header files
Group: System Environment/Libraries
Requires: serf = %{version}-%{release}

%description devel
Serf library header files.

%prep
%setup -q -n %{name}-%{version}

%build
sed -i "/incdir/s:MAJOR':&\n\nenv\['SHLIBVERSION'\]='0.\${MAJOR}.0':" SConstruct &&
sed -i "/Append/s:RPATH=libdir,::" SConstruct &&
sed -i "/Default/s:lib_static,::" SConstruct &&
sed -i "/Alias/s:install_static,::" SConstruct &&
scons PREFIX=/usr LIBDIR=%{_libdir}

%check

%install
rm -rf %{buildroot}
scons PREFIX=/usr LIBDIR=%{_libdir} install --install-sandbox=%{buildroot} &&
ln -sfv libserf-1.so.3.0.0 %{buildroot}/%{_libdir}/libserf-1.so.0 &&
ln -sfv libserf-1.so.3.0.0 %{buildroot}/%{_libdir}/libserf-1.so

%files
%defattr(-,root,root)
%{_libdir}/libserf*.so*

%files devel
%defattr(-,root,root)
%{_includedir}
%{_libdir}/pkgconfig

%clean
rm -rf %{buildroot}

%changelog
* Thu Aug 22 2013 tanggeliang <tanggeliang@gmail.com>
- update from 1.2.1 to 1.3.1
* Sat Jul 27 2013 tanggeliang <tanggeliang@gmail.com>
- create
